// File Name: C:\temp\HTML print\ILUKIANENK_HTML_InvoicePrint.JS
// Created: 12/01/2019 12:12:02
// User: ilukianenk - Yaroslav Lukianenko
 
function sleep(ms)
{
     var dt = new Date();
     dt.setTime(dt.getTime() + ms);
     while (new Date().getTime() < dt.getTime());
}
 
function window.onload()
{
     var txt;
     var v_attempts =  6;
     for (i=0;i<v_attempts;i++) // If there was an erro (printer?) - retry a few times before giving up
     {
         txt = "";
         try
         {
             if (i>0)
             {
                 sleep(2500);                      //sleep(2500) Wait before trying again
             }
         ShowPreview();
         }
         catch (err)
         {
             txt = err.description;
             window.status = "Error: " + txt + " Retry..." + (i+1) + "/" + v_attempts ;
         }
         if (txt == "") {break;} // No error? - do not try again
     }
     if (txt !="" ) { alert (txt + "\nPrinter: "); }
}
//Set the basic page setup settings for printing
function ApplyPrintingSettings()
{
     printer.header = ' ' ;
     printer.footer = ' ' ;
     printer.orientation = 'Portrait' ;
     printer.marginTop = parseInt('1000' );
     printer.marginLeft = parseInt('1000' );
     printer.marginBottom = parseInt('100' );
     printer.marginRight = parseInt('1000' );
}
// Show Print Preview Dialog
function ShowPreview()
{
     ApplyPrintingSettings();
     printer.Preview();
}
 //  Print with a prompt or without it to the current printer
function Print(promt)
{
         ApplyPrintingSettings();
         printer.Print(promt);
}
